Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 28 May 2017, 16:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
quickpet_precise 2
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 8 [110 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Wed 02 Dec 2015, 15:43    Post subject:  

hi april

librecad works on a fresh install with the qt4 sfs from quickpet.
seems you might have installed a pet that has conflicting qt4 libs, any idea what?

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Wed 02 Dec 2015, 16:45    Post subject:  

Probably Phil but doesn't the new pet from quickpet overwrite the existing entries? It does not give any errors when downloading the QT4 package and saves it as an .sfs file which seems to then get loaded . I Unloaded and reloaded without changing the result .

I can delete the existing .sfs and download the new one without changing the result also so I'm wondering what else I can do to find the problem . Are you absolutely sure it loads OK on a new install ?
You have actually done that yes?

I have an AMD chip and I am wondering if that might affect it in any way differently to other chips . That has been known before. I have a lot of extra stuff in my save file so starting a new one is not what I want to do but maybe I'll try that with a basic load with pfix and save the result in a special savefile
Back to top
View user's profile Send private message Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Wed 02 Dec 2015, 17:00    Post subject:  

it's this a frugal install?
_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Wed 02 Dec 2015, 17:10    Post subject:  

Yes it is Phil . I am trying a fresh install with puppy pfix=ram atm
Don't remember the QT4 package taking so long to download so maybe the QT downloader was finding it on my machine and not downloading it at all and not telling me .

Last edited by april on Wed 02 Dec 2015, 17:13; edited 1 time in total
Back to top
View user's profile Send private message Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Wed 02 Dec 2015, 17:12    Post subject:  

make sure to install the quickpet from the first post
_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Wed 02 Dec 2015, 17:44    Post subject:  

OK confirm it works OK with pfix=ram and now I can use it thanks .

I'll go back and delete the .sfs again and try to download it again and see if that fixes my main savefile

Nah did that and the problem persists. I suppose it must be something linked to the QT package but outside of the .sfs file .

Perhaps someone with a deeper understanding of the QT4 package might help me out here?
Back to top
View user's profile Send private message Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Wed 02 Dec 2015, 18:19    Post subject:  

april wrote:
OK confirm it works OK with pfix=ram and now I can use it thanks .

I'll go back and delete the .sfs again and try to download it again and see if that fixes my main savefile

Nah did that and the problem persists. I suppose it must be something linked to the QT package but outside of the .sfs file .

Perhaps someone with a deeper understanding of the QT4 package might help me out here?


the problem is likely to be a pet you've installed that has mismatching qt4 libs

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Sat 12 Dec 2015, 01:40    Post subject:  

Thanks I'm still looking for it .
Master PDF Editor now does not start and reports the same symbol missing.
Code:
 ./masterpdfeditor
# ./masterpdfeditor3
./masterpdfeditor3: symbol lookup error: /usr/lib/libQtNetwork.so.4: undefined symbol: _ZN16QIODevicePrivate4peekEPcx
#

Back to top
View user's profile Send private message Yahoo Messenger 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Sat 16 Jan 2016, 17:31    Post subject:  

Phil the version you have is very old . This is the problem 1.0.1 Feb 2012 and various helpful changes have been made since then.

Any chance of an update ?
Its in the ubuntu-precise-main but thats the old version

From their page
Quote:
LibreCAD is available in the main repository of Debian 7.0 (Wheezy) and later as "librecad". Use your favorite package manager (e.g. aptitude, synaptic, etc.) or simply:

# apt-get install librecad

will install and configure it for you for every architecture. You can always find the latest release in Debian unstable.

If you are not running unstable/sid, and still want to upgrade LibreCAD to a newer version in unstable/sid, you may download the LibreCAD debs from Debian unstable, and manually install them in your system by "dpkg -i",

# dpkg -i /path/to/librecad_1.0.0~rc3+nolibs-1_i386.deb

# dpkg -i /path/to/librecad-data_1.0.0~rc3+nolibs-1_i386.deb



and rpm packages here

https://github.com/Rallaz/LibreCAD/wiki/Rpm-packages

Its up to 2.0.7 and 1.0.3
Back to top
View user's profile Send private message Yahoo Messenger 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Tue 26 Jan 2016, 17:07    Post subject:  

Phil if you could give me a brief intro into how you do it I would be happy to do the work
Back to top
View user's profile Send private message Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Wed 27 Jan 2016, 08:26    Post subject:  

updated librecad in quickpet

you'll have to se if it works properly as it's trustys version

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Thu 28 Jan 2016, 02:10    Post subject:  

Thanks Phil - A true gentleman.
Works fine
Quote:
LibreCAD
Version: master
SCM Revision: 2.1.0
Compiler: GNU GCC 4.8.4
Qt Version: 4.8.2
Compiled on: Dec 18 2015
Portions (c) 2011 by R. van Twisk
Program Icons Supplied by
Pablo: LibreCAD Argentine
Splash and Logo supplied by
Diego Daltom Designer

Modules: Align, Read ascii points, Import ESRI Shapefile, List entities, Same properties, Sample plugin


Makes a great difference in that you can have more than one grid snap "on" at a time
That was really slowing things down .
Did not change anything else .

Simply updated quickpet and then chose Librecad .

Offer stands , if I can help with anything just ask.
Back to top
View user's profile Send private message Yahoo Messenger 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Fri 04 Mar 2016, 06:07    Post subject:  

Hey Phil

Is there a quickpet for 64 bit machines?
Say fatdog O/S?

Any plans to do one . Brilliant tool.
Back to top
View user's profile Send private message Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3094
Location: wales

PostPosted: Fri 04 Mar 2016, 09:09    Post subject:  

april wrote:
Hey Phil

Is there a quickpet for 64 bit machines?
Say fatdog O/S?

Any plans to do one . Brilliant tool.


tahrpup64 has quickpet

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
april


Joined: 14 Sep 2013
Posts: 924
Location: Burning up on the Great Barrier Reef (Mostly Dead or Dying(me too))

PostPosted: Wed 23 Mar 2016, 18:21    Post subject:  

A while back I had a conflict with Q4 packages and mentioned it here I think .I noticed I downloaded VLC via Quickpet just now and it asks you to install the Q4 packages again.

This time I did not do so and the program seems to run as expected regardless. I'm wondering if the message to download Q4 libraries is necessary and perhaps installs a different, conflicting version?
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 7 of 8 [110 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0936s ][ Queries: 14 (0.0179s) ][ GZIP on ]